> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference/api-reference/quick-check/know-your-customer-services-kyc/id-data-matching-eidv/kenya/kenyan-bank-account-verification/bank-list.md).

# Bank List

## Bank List

<mark style="color:purple;">`GET`</mark> `{{baseurl}}/v2/api/identity/ke/banks`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

{% tabs %}
{% tab title="Bank List Response" %}

```json
{
    "success": true,
    "statusCode": 200,
    "message": "success",
    "data": [
        {
            "id": "1",
            "name": "KCB"
        },
        {
            "id": "2",
            "name": "Standard Chartered Bank"
        },
        {
            "id": "3",
            "name": "Absa Bank"
        },
        {
            "id": "4",
            "name": "Bank of India"
        },
        {
            "id": "5",
            "name": "Bank of Baroda"
        },
        {
            "id": "6",
            "name": "NCBA"
        },
        {
            "id": "7",
            "name": "Prime Bank"
        },
        {
            "id": "8",
            "name": "Co-operative Bank"
        },
        {
            "id": "9",
            "name": "National Bank"
        },
        {
            "id": "10",
            "name": "M-Oriental"
        },
        {
            "id": "11",
            "name": "Citi Bank"
        },
        {
            "id": "12",
            "name": "Habib Bank AG Zurich"
        },
        {
            "id": "13",
            "name": "Middle East Bank"
        },
        {
            "id": "14",
            "name": "Bank of Africa"
        },
        {
            "id": "15",
            "name": "Consolidated Bank"
        },
        {
            "id": "16",
            "name": "Credit Bank"
        },
        {
            "id": "17",
            "name": "Access Bank"
        },
        {
            "id": "18",
            "name": "Stanbic Bank"
        },
        {
            "id": "19",
            "name": "ABC Bank"
        },
        {
            "id": "20",
            "name": "Eco Bank"
        },
        {
            "id": "21",
            "name": "SPIRE Bank"
        },
        {
            "id": "22",
            "name": "Paramount"
        },
        {
            "id": "23",
            "name": "Kingdom Bank"
        },
        {
            "id": "24",
            "name": "Guaranty Trust Bank (GT Bank)"
        },
        {
            "id": "25",
            "name": "Victoria Bank"
        },
        {
            "id": "26",
            "name": "Guardian Bank"
        },
        {
            "id": "27",
            "name": "I&M Bank"
        },
        {
            "id": "28",
            "name": "Development Bank"
        },
        {
            "id": "29",
            "name": "SBM"
        },
        {
            "id": "30",
            "name": "Housing finance"
        },
        {
            "id": "31",
            "name": "Diamond Trust Bank (DTB)"
        },
        {
            "id": "32",
            "name": "Mayfair Bank"
        },
        {
            "id": "33",
            "name": "Sidian Bank"
        },
        {
            "id": "34",
            "name": "Equity Bank"
        },
        {
            "id": "35",
            "name": "Family Bank"
        },
        {
            "id": "36",
            "name": "Gulf African Bank"
        },
        {
            "id": "37",
            "name": "First Community Bank"
        },
        {
            "id": "38",
            "name": "DIB Bank"
        },
        {
            "id": "39",
            "name": "UBA Bank"
        },
        {
            "id": "40",
            "name": "KWFT"
        },
        {
            "id": "41",
            "name": "Faulu Bank"
        },
        {
            "id": "42",
            "name": "Post Bank"
        }
    ],
    "links": []
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Error Response" %}

```json
{
  "success": false,
  "statusCode": 404,
  "message": "You have attempted to get a resource that does not exist.",
  "name": "ResourceNotFoundError",
  "data": {}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference/api-reference/quick-check/know-your-customer-services-kyc/id-data-matching-eidv/kenya/kenyan-bank-account-verification/bank-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
